#
# Catlyst::Action::Serialize::JSON.pm
# Created by: Adam Jacob, Marchex, <adam@hjksolutions.com>
# Created on: 10/12/2006 03:00:32 PM PDT
#
# $Id$

package Catalyst::Action::Serialize::JSON;

use strict;
use warnings;

use base 'Catalyst::Action';
use JSON qw(encode_json);

sub execute {
    my $self = shift;
    my ( $controller, $c ) = @_;

    my $stash_key = (
            $controller->{'serialize'} ?
                $controller->{'serialize'}->{'stash_key'} :
                $controller->{'stash_key'} 
        ) || 'rest';
    my $output;
    eval {
        $output = $self->serialize( $c->stash->{$stash_key} );        
    };
    if ($@) {
        return $@;
    }

    # JSONP support
    my $pct = $c->req->preferred_content_type() || "application/json";
    if ($pct eq "application/javascript") {
        # Default the callback; the framework adds it for us
        if (!$c->req->params->{'callback'}) {
          $c->req->params->{'callback'} = "callback";
        }
        
        $c->response->content_type("application/javascript; charset=utf-8");
    }
    else {
        # Need to charset parameter, which framework doesn't do :-(
        $c->response->content_type("application/json; charset=utf-8");
    }
    
    $c->response->header("Access-Control-Allow-Origin", "*");
    
    $c->response->output( $output );
    return 1;
}

sub serialize {
    my $self = shift;
    my $object = shift;
    
    if(ref($object)) {
        return encode_json($object);
    }
    else {
        return "";
    }
}

1;
