use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

my $t2 = Test::Rest->new('content_type' => 'application/json',
                         'accept'       => 'application/javascript');

my $get_with_callback_ct = 2;

plan(tests => $get_with_callback_ct * 4);

sub get_with_callback {
  my ($t, $url, $callback, $expected) = @_;
  
  $req = $t->get(url => $url);
  $res = request($req);
  ok($res->is_success, "Request OK");
  if ($expected) {
    like($res->decoded_content, qr/^$callback\(.*\);?$/, "Callback present");
  }
  else {
    unlike($res->decoded_content, qr/^$callback\(.*\);?$/, 
           "Callback not present");
  }
}

get_with_callback($t, '/bug/1?callback=foo', 'foo', 0);
get_with_callback($t2, '/bug/1?callback=foo', 'foo', 1);

# Default name for callback if we ask with correct accept header
get_with_callback($t, '/bug/1', 'callback', 0);
get_with_callback($t2, '/bug/1', 'callback', 1);
