use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

##############################################################################
# Duplicate marking
##############################################################################
my $url = "/bug/60";

$res = request($url);
ok($res->is_success, "Request OK for $url");
$new = from_json($res->decoded_content, {utf8 => 1});
is($new->{'dupe_of'}, 61, "Bug marked as duplicate");

##############################################################################
# Groups
##############################################################################
$url = "/bug/95?" . $LOGIN;

$res = request($url);
ok($res->is_success, "Request OK for $url");
$new = from_json($res->decoded_content, {utf8 => 1});
is($new->{'groups'}->[0]->{'name'}, 'topsecret', "Bug is in group 'topsecret'");

done_testing();
