use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

my $bugid = "51";

plan(tests => 2 * ($put_and_get_ct + 1));

my $url = "/bug/$bugid?" . $LOGIN;

##############################################################################
# Get bug and count comments
##############################################################################
sub set_alias {
  my $alias = shift;
  
  my $aliasjson = to_json({ "alias" => $alias }, {utf8 => 1});
  my $newjson = put_and_get($url, $aliasjson, "setting alias to '$alias'");
  $new = from_json($newjson, {utf8 => 1});
  return $new;
}

$new = set_alias("newalias");
is($new->{'alias'}, "newalias", "Alias 'newalias' set correctly");

$new = set_alias("");
# No alias means the entry is not defined
is($new->{'alias'}, undef, "Alias unset correctly");

done_testing();
