use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

my $bugid = "128";

my $url = "/bug/$bugid?" . $LOGIN;
my @summaries = ("orange", "banaa");

plan(tests => scalar(@summaries) * ($put_and_get_ct + 1));

##############################################################################
# Flip summary to nothing and back to UTF-8 string
##############################################################################

foreach my $summary (@summaries) {
  my $change = { 
    'summary' => $summary
  };

  my $json = to_json($change, {utf8 => 1});
  my $newjson = put_and_get($url, $json, "Update summary to '$summary'");
  $new = from_json($newjson, {utf8 => 1});

  is($new->{'summary'}, $summary, "Summary is '$summary'");
}

done_testing();

