use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

my $bugid = "70";

my $url = "/bug/$bugid?" . $LOGIN;

plan(tests => $put_and_get_ct + 1);

##############################################################################
# Get bug and find hours
##############################################################################
$res = request($url);  
$old = from_json($res->decoded_content, {utf8 => 1});
my $old_hours = $old->{'actual_time'};

my $hours = { 
  'work_time' => "2", 
  'comments' => [
    { 'text' => "Increment hours" }
  ]
};

my $hoursjson = to_json($hours, {utf8 => 1});
my $newjson = put_and_get($url, $hoursjson, "Update bug with new hours");
$new = from_json($newjson, {utf8 => 1});

my $new_hours = $old_hours + 2;

is($new->{'actual_time'}, sprintf("%i", $new_hours), 
   "Hours correctly updated");

done_testing();

