use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

plan(tests => 3);

##############################################################################
# Flags
##############################################################################
$res = request('/bug/20/flag');

ok($res->is_success, 'Request should succeed');
$json = from_json($res->decoded_content, {utf8 => 1});

my $bug = load("bug20flags.json");

is_deeply($json, $bug, "Bug 20 flags are correct");

##############################################################################
# Flags, logged in
##############################################################################
$res = request('/bug/20/flag?' . $LOGIN);
$json = from_json($res->decoded_content, {utf8 => 1});

$bug = load("bug20flags-li.json");

is_deeply($json, $bug, "Bug 20 flags (logged in) are correct");

done_testing();
