use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

plan(tests => 3);

my $bugid = 12;

##############################################################################
# History
##############################################################################
$res = request("/bug/$bugid/history");

ok($res->is_success, 'Request should succeed');
$json = from_json($res->decoded_content, {utf8 => 1});

my $bug = load("history.json");

is_deeply(canonicalize($json), canonicalize($bug), 
          "Bug $bugid history is correct");

##############################################################################
# History, logged in (includes time tracking)
##############################################################################
$res = request("/bug/$bugid/history?" . $LOGIN);
$json = from_json($res->decoded_content, {utf8 => 1});

$bug = load("history-li.json");

is_deeply(canonicalize($json), canonicalize($bug), 
          "Bug $bugid history (logged in) is correct");

done_testing();
