use strict;
use warnings;

use FindBin '$Bin';
use lib "$Bin/lib";    
use Test::More;

use JSON;
use Slurp;
use Test::Rest;
use TestUtils;
use Data::Dumper;

BEGIN { use Catalyst::Test 'Bugzilla::API' }

my ($res, $req, $old, $new, $json);
my $t = Test::Rest->new('content_type' => 'application/json');
##############################################################################

plan(tests => 2);

##############################################################################
# Single user
##############################################################################
$res = request('/user/gerv@mozilla.org');

ok($res->is_success, 'Request should succeed');
$json = from_json($res->decoded_content, {utf8 => 1});

my $user = load("user-gerv.json");

is_deeply($json, $user, "Gerv user object is correct");

# XXX non-matching user - should get useful error!

done_testing();
